## 2.3 Options for Output Files

`-o` FILE, `--outputfile=`FILE

  Write output to FILE (`-` for stdout). If this option is given, then a single input file may be given. Otherwise, an arbitrary number of input files can be processed.

`--unix`, `--target=unix`

  When invoked with `-x`, produce Unix executables even if running under Windows.

`--windows`, `--target=windows`

  When invoked with `-x`, produce Windows executables even if running under Unix.

`--execheader=`STRING

  When invoked with option `-x`, the compiler prepends a header to the output file so that it is interpreted as executable by the operating system. Under Unix, the default header is as follows:

  > `#!/bin/sh
  > exec ozengine $0 "$@"`

  The `--execheader` option allows you to specify a different header.

`--execpath=`STRING

  Uses the header given above in the description of `--execheader`, except that `ozengine` is replaced by STRING.

`--execfile=`FILE

  Reads in FILE and uses this as header. Under Windows, the default behaviour is to use the file provided in ozhome`/bin/ozwrapper.bin`, where ozhome is Mozart's installation folder. `ozwrapper.bin` is a Windows executable that launches `ozengine`, i. e., a console application (CUI).

`--execwrapper=`FILE

  Reads in ozhome`/bin/`FILE and uses it as header for executable files. Apart from `ozwrapper.bin`, an `ozwrapperw.bin` is supplied that launches `ozenginew` instead of `ozengine`, i. e., a Windows application (GUI). This option provides a convenient way to use this alternative wrapper.

`-z` N, `--compress=`N

  Pickles may be written in a compressed format. By default they are not compressed. `-z` N selects the compression level: N is an integer between 0 (uncompressed) and 9 (maximum compression). Compressing a pickle may improve loading/downloading time.